Bug 9361 (int-149985)

Summary: Media Player does not seem to support mafw third party plugins
Product: [Maemo Official Applications] Media player Reporter: Xabier Rodríguez Calvar <xrcalvar>
Component: GeneralAssignee: unassigned <nobody>
Status: CLOSED FIXED QA Contact: media-player-bugs
Severity: normal    
Priority: Unspecified CC: aldon.hynes, xrcalvar
Version: 5.0/(3.2010.02-8)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Maemo   

Description Xabier Rodríguez Calvar (reporter) 2010-03-02 13:55:07 UTC
It only loads the official ones, that are mafw-tracker-source,
mafw-iradio-applet and mafw-upnp-source. It would be really nice to be able to
load other plugins.
Comment 1 Aldon Hynes 2010-06-01 19:49:48 UTC
Which thirty party plugins aren't working?  I am successfully using mafw-lastfm
from media player.  In fact, I can listen to a uPnP stream in Media Player and
have it scrobbled to Last.Fm
Comment 2 Xabier Rodríguez Calvar (reporter) 2010-06-01 20:14:29 UTC
(In reply to comment #1)
> Which thirty party plugins aren't working?  I am successfully using mafw-lastfm
> from media player.  In fact, I can listen to a uPnP stream in Media Player and
> have it scrobbled to Last.Fm

mafw-lastfm is not a mafw plugin. It is something connecting to mafw and
listening to change states in the renderer and the playlists.

There is already a mafw-upnp-source, which is an official mafw plugin, so it is
something not to take into account.

What I meant is that for example, implementing a plugin to watch youtube or to
listen to jamendo couldn't be used in the official media player as it only
loaded the official plugins. Fortunatelly is "loaded" as I think it does with
PR1.2. I'll check it, close the bug if it does and release my plugin
(http://gitorious.org/grilo/mafw-grilo-source) to gather Grilo
(http://live.gnome.org/Grilo) content and show it in the media player.
Comment 3 Xabier Rodríguez Calvar (reporter) 2010-06-04 20:17:40 UTC
It seems to be fixed in Fremantle 1.2
Comment 4 Andre Klapper maemo.org 2010-06-04 21:18:44 UTC
Target Milestone != Version ;-)